﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Media.Imaging;

namespace UWPTesting_Sample
{
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<Product> product;

        public ObservableCollection<Product> Products
        {
            get { return product; }
            set
            {
                product = value;
                OnPropertyChanged("Products");
            }
        }
        public ViewModel()
        {

            this.Products = this.GetDetails();

        }


        public ObservableCollection<Product> GetDetails()
        {
            ObservableCollection<Product> items = new ObservableCollection<Product>();


            items.Add(new Product("P1", "HardWare", 1, "Jon", "C1", "Ac", 1, "Shiped", "US", new BitmapImage(new Uri("ms-appx:/Assets/Image1.jpg"))));
            items.Add(new Product("P2", "Software", 2, "Jhon", "C2", "c", 2, "Shiped", "Uk", new BitmapImage(new Uri("ms-appx:/Assets/Image2.jpg"))));
            items.Add(new Product("P3", "HardWare", 3, "Michel", "C3", "bc", 3, "Shiped", "Us", new BitmapImage(new Uri("ms-appx:/Assets/Image1.jpg"))));
            items.Add(new Product("P4", "Software", 4, "Rose", "C4", "sc", 5, "Shiped", "Uk", new BitmapImage(new Uri("ms-appx:/Assets/Image2.jpg"))));
            items.Add(new Product("P5", "HardWare", null, "Son", "C5", "sc", 3, "Shiped", "Us", new BitmapImage(new Uri("ms-appx:/Assets/Image1.jpg"))));
            items.Add(new Product("P6", "Software", 4, "tom", "C6", "dbc", 3, "Shiped", "Uk", new BitmapImage(new Uri("ms-appx:/Assets/Image2.jpg"))));
            items.Add(new Product("P7", "HardWare", 7, "jery", "C7", "fc", 3, "Shiped", "US", new BitmapImage(new Uri("ms-appx:/Assets/Image1.jpg"))));
            items.Add(new Product("P8", "Software", 8, "Rose", "C8", "vbc", 3, "Shiped", "Uk", new BitmapImage(new Uri("ms-appx:/Assets/Image2.jpg"))));
            items.Add(new Product("P9", "HardWare", 9, "hhon", "C9", "bbbc", 3, "Shiped", "US", new BitmapImage(new Uri("ms-appx:/Assets/Image2.jpg"))));
            items.Add(new Product("P10", "Software", 10, "tom", "C10", "bbbc", 3, "Shiped", "Uk", new BitmapImage(new Uri("ms-appx:/Assets/Image1.jpg"))));
            return items;
        }
        
        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                var e = new PropertyChangedEventArgs(propertyName);
                handler(this, e);
            }
        }


    }

}
